1 Reply Latest reply on Nov 19, 2013 4:11 AM by Simon Turner

    InsertSheetMetalUnfold

    Dan Landrum

      VB.Net

       

      Does anyone know if you can use a selected edge to insert a sheetmetalunfold in VB.Net?

       

      My code works with a face selected but i can not get it to work with an edge selected.

       

      In SW, you can manually insert an unfold by selecting an edge or face.

        • Re: InsertSheetMetalUnfold
          Simon Turner

          Yes - you can do this. You need to mark the selection with "1".

          Note that you can only unfold from a linear edge on the end of a rolled bend (e.g. a cylinder)

           

          VBA macro:

           

          boolstatus = Part.Extension.SelectByID2("", "EDGE", -1.135E-02, 5.98E-02, 4.13E-02, False, 1, Nothing, 0)

          boolstatus = Part.Extension.SelectByID2("BaseBend1", "BODYFEATURE", 0, 0, 0, True, 4, Nothing, 0)

          Part.InsertSheetMetalUnfold